#module imports
from fielddisplay import fielddisplay

class autodiff:
	#properties
	def __init__(self):
		# {{{ Properties
		self.isautodiff = False
		self.forward    = True
		self.reverse    = False

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string='   automatic differentiation parameters:'
		string="%s\n%s"%(string,fielddisplay(obj,'isautodiff','indicates if the automatic differentiation is activated'))
		string="%s\n%s"%(string,fielddisplay(obj,'forward','forward differentiation'))
		string="%s\n%s"%(string,fielddisplay(obj,'reverse','backward differentiation'))
		return string
		#}}}
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

